# $Revision: 1.13 $, $Date: 2008/07/27 22:39:41 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Lingua
%define		pnam	PT-Stemmer
Summary:	Lingua::PT::Stemmer - Portuguese language stemming
Summary(pl.UTF-8):	Lingua::PT::Stemmer - określanie rdzeni słów w języku portugalskim
Name:		perl-Lingua-PT-Stemmer
Version:	0.01
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	74523d7da59dabbf561fa5cf60f98d02
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a Portuguese stemming algorithm proposed in the
paper "A Stemming Algorithm for the Portuguese Language" by V. Moreira
and C. Huyck.

%description -l pl.UTF-8
Ten moduł zawiera implementację algorytmu określania rdzeni słów dla
języka portugalskiego zaproponowany w artykule V. Moreira'y i C Huycka
"A Stemming Algorithm for the Portuguese Language" ("Algorytm
określania rdzeni słów dla języka portugalskiego").

%package -n perl-Lingua-GL-Stemmer
Summary:	Lingua::GL::Stemmer - Galician language stemmer
Summary(pl.UTF-8):	Lingua::GL::Stemmer - określanie rdzeni słów w języku galicyjskim
Group:		Development/Languages/Perl

%description -n perl-Lingua-GL-Stemmer
Galician is an endangered language spoken in northwest region of
Spain. Galician is morphologically similar to Portuguese but phonetics
differs greatly. Due to the morphological similarity between
Portuguese and Galician, Portuguese stemming algorithm can be adopted
to stem Galician texts.

%description -n perl-Lingua-GL-Stemmer -l pl.UTF-8
Język galicyjski jest ginącym językiem, którym mówi się w północnej
Hiszpanii. Język galicyjski jest morfologicznie podobny do
portugalskiego lecz bardzo różni się wymową. Ze względu na
podobieństwo morfologiczne pomiędzy potrugalskim a galicyjskim, można
stosować dla języka galicyjskiego ten sam algorytm określania rdzeni
słów, co dla języka portugalskiego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Lingua/PT
%{_mandir}/man3/*PT*

%files -n perl-Lingua-GL-Stemmer
%defattr(644,root,root,755)
%{perl_vendorlib}/Lingua/GL
%{_mandir}/man3/*GL*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Lingua-PT-Stemmer.spec,v $
Revision 1.13  2008/07/27 22:39:41  arekm
- release 4

Revision 1.12  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.10  2004/11/03 22:30:30  paladine
- formatting

Revision 1.9  2004/05/09 05:31:53  ankry
- BR fixes, rel. 3

Revision 1.8  2004/04/25 06:25:08  ankry
- cosmetics: unification

Revision 1.7  2004/04/22 15:01:17  ankry
- license fixes and unification

Revision 1.6  2004/04/20 23:59:32  ankry
- ported to new bconds

Revision 1.5  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.4  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:24:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/04/14 23:52:48  ankry
- should be ready for perl-5.8
- rel. 2

Revision 1.1  2003/04/13 19:57:30  ankry
- new, for ra
